#
# spec file for package log4cpp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           log4cpp
%if 0%{suse_version} >= 1310
Version:        1.1.2~rc3
Release:        lp150.1.8
%else
Version:        1.1.2
Release:        lp150.1.8
%endif
Summary:        C++ logging library
License:        LGPL-2.1
Group:          Development/Languages/C and C++
Url:            http://log4cpp.sourceforge.net/
Source:         %{name}-1.1.2rc3.tar.gz
Patch1:         fix_sle11_build.patch
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n liblog4cpp5
Summary:        Logging for C++
Group:          System/Libraries

%description -n liblog4cpp5
Logging facilities providing library.

%package devel
Summary:        Development tools for Log for C++
Group:          Development/Libraries/C and C++
Requires:       liblog4cpp5 = %{version}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%package doc
Summary:        HTML formatted API documention for Log for C++
Group:          Documentation/HTML

%description doc
The %{name}-doc package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.

%prep
%setup -q -n %{name}
%patch1 -p1

%build
%configure --enable-doxygen --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} mandir=%{buildroot}/%{_mandir} docdir=%{buildroot}/%{_docdir}/%{name}
find %{buildroot} -type f -name "*.la" -delete -print
%if 0%{?suse_version}
%fdupes -s %{buildroot}/%{_docdir}/%{name}/api
%endif

%post -n liblog4cpp5 -p /sbin/ldconfig
%postun -n liblog4cpp5 -p /sbin/ldconfig

%files -n liblog4cpp5
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog
%{_libdir}/liblog4cpp.so.5
%{_libdir}/liblog4cpp.so.5.0.6

%files devel
%defattr(-,root,root)
%{_includedir}/log4cpp
%{_mandir}/man*/*
%{_bindir}/log4cpp-config
%{_libdir}/liblog4cpp.so
%{_libdir}/pkgconfig/log4cpp.pc
%dir %{_datadir}/aclocal
%attr(644,root,root) %{_datadir}/aclocal/log4cpp.m4

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}

%changelog
* Mon Oct 10 2016 adam.majer@suse.de
- update to version 1.1.2rc3
  + fix std::terminate() call on bad category name component count
    in PatternLayout
  + fix std::terminate() call on bad root category priority name
    in config file
  + remove RollingFileAppend prints log name to std::cout
- fix_sle11_build.patch: fix building on SLE11
* Sat Jul  2 2016 jengelh@inai.de
- Fixup groups and do not waste time building static libs that
  do not get shipped.
* Thu Jun 30 2016 i@marguerite.su
- update version 1.1.2rc2
  * no upstream changelog
* Sat Aug 22 2015 i@marguerite.su
- update version 1.1.2rc1
  * Small fixes, DailyRollingFile appender, tests,
    options to disable support for smtp and syslog
* Fri Dec  6 2013 avvissu@yandex.ru
- update to 1.1.1
* Sun Jan 13 2013 sleep_walker@suse.cz
- remove dependency on neexisting package log4cpp
* Sun Jan 13 2013 sleep_walker@suse.cz
- update to 1.1
- remove log4cpp_inclusion_fixes.patch which reached upstream
- rework the spec
  - change manual creation of symlinks with %%fdupes
  - change package name to log4cpp, library is subpackage (now
    liblog4cpp5)
* Thu Jul 19 2012 rob.verduijn@gmail.com
- conflicts fixed for opensuse 12.1
* Wed Jul 18 2012 rob.verduijn@gmail.com
- fixed some more rpmlint badness
* Wed Jul 18 2012 rob.verduijn@gmail.com
- fixed duplicate files
* Wed Jul 18 2012 rob.verduijn@gmail.com
- Fixed directory not owned in specfile
* Tue Aug 30 2011 alexandre@exatati.com.br
- Fix spec file.
* Tue Jan 13 2009 bbrunner@suse.de
- Initial package.
